Subject: RE: [AAA-WG]: ISSUE

From: <[email-masked]>
Date: Mon, 4 Feb 2002 11:32:22 +0200

Hi,

The purpose of this issue was to raise discussion if the Diameter accounting (as a part of the base protocol) is sufficient to meet ip multimedia requirements. The made proposal based (loosely) to drafts: draft-olsson-ip-multimedia-charging-reqs-00.txt (unfortunately missing from the reference -field) and draft-hakala-diameter-credit-control-01.txt.

These two drafts includes some basic requirements and considerations which should/may also, in my estimation, affect to the base protocol accounting part.      

Here is my answers to your comments (I must apology that I may have 3GPP perspective):

<One of the beauties of AAA is that Accounting focusses on providing
estimates of resource consumption.>
 
If the Diameter is going to be the charging protocol selected by the 3GPP for IP Multimedia the "estimation" is not the best possible expression.

<AAA does not transfer CDRs. It transfers binary accounting data which are
used to create CDRs.>

If this is interpreted literally there might be some problems to fit Diameter to 3GPP charging architecture.  

Overall, the proposed changes could also be seen as application-specific if wanted. But it could be useful to change also the Diameter base protocol especially the required changes are not huge ones. As the accounting part already defines Accounting-Record-Type values and the difference of the On-line and Off-line charging is described in draft-olsson-ip-multimedia-charging-reqs-00.txt, it would be consistent to have also "rest" of the Accounting-Record-Types included to accounting part of the Diameter base.

Well, I might be totally wrong but at least this issue was discussed...
     
br,
JPK

-----Original Message-----
From: ext Bernard Aboba [mailto:[email-masked]]
Sent: 01. February 2002 9:14
To: Glen Zorn
Cc: Koskinen Juha-Pekka (NET/Tampere); [email-masked]
Subject: RE: [AAA-WG]: ISSUE

> Ok, I'll go out on a limb here and call this a new feature (not just new,
> but application-specific) and suggest that it be immediately rejected by the
> WG Chairs.

One of the beauties of AAA is that Accounting focusses on providing
estimates of resource consumption. The usage of that information or the
purpose of the transfer is immaterial, yet many types of service can 
still be provided. This includes prepaid, postpaid, and even unpaid
(guest) service. 

Before this Issue will be considered, I would like to understand why this
functionality cannot already be provided within the protocol as it exists. 
No evidence is provided in the issue report to justify the necessity of
the change.

Some comments below:

> > The postpaid accounting session is established to transfer CDRs
> > (Charging Data Records) from client to server. 

AAA does not transfer CDRs. It transfers binary accounting data which are
used to create CDRs.

> These CDRs are used for billing purposes, typically once a month. 

Discussion of billing practices is outside the scope of the AAA WG. 

> doesn't need to be completed  simultaneously with the communication
>session.

It sounds like Diameter accounting should work just fine for this. 
So why is a change being proposed?

> The prepaid accounting session is established to transfer
> charging information from client to server for rating purposes.

The reason for the transfer is not relevant to the protocol. 

> The cost of the communication session is calculated and according
> to these calculations money is reserved from subcribers account.
> If there is no credit left in subscribers account or the credit
> is used during the communication session, the prepaid accounting
> session will be terminated. That termination will also cause the
> termination of the communication session.

Seems to me that this effect could be achieved without any protocol
changes. So why is a change necessary?